Subject: bug#78995: [PATCH] ;;;autoload-expand for special macros

From: "J.D. Smith" <[email-masked]>
Date: Tue, 29 Jul 2025 20:36:11 -0400

Stefan Monnier <[email-masked]> writes:

>>> Damn!  So now I'm the one who needs to figure out how to keep it working
>>> in Emacs<31 while trying to make it behave with the new
>>> "autoload-expand".
>> Maybe it is as simple as requiring a (new?) file that defines the macro
>> directly, and whenever you require tramp-loaddefs, using NOERROR=t?
>
> I *think* it's simpler than that: just add the `declare` thingy and the
> NOERROR=t.

Ahah, I see that tramp-compat is required, so this should work.  It's
`(autoload-macro expand)' btw.